<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/tmp.py Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('tmp_8py_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">tmp.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tmp_8py.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html">    1</a></span>&#160;<span class="comment"># !/usr/bin/python3</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"># coding: utf-8</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"># Copyright 2017 Stefano Fogarollo</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"># you may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"># You may obtain a copy of the License at</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"># http://www.apache.org/licenses/LICENSE-2.0</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"># Unless required by applicable law or agreed to in writing, software</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"># See the License for the specific language governing permissions and</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"># limitations under the License.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral">Save posts for each percentile</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a0b8a5b5bcefd9c26c02f704e31fd7fb0">   22</a></span>&#160;h, d = driver.parse_csv()</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keywordflow">for</span> p <span class="keywordflow">in</span> [25, 50, 60, 70, 80, 90, 95, 99]:  <span class="comment"># percentiles to examine</span></div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#ab5f1061d8b1eb6c3a7e6f81691699898">   24</a></span>&#160;    top_posts = driver.get_top_posts(h, d, min_likes_to_be_top_posts=p)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">from</span> hal.ml.utils.matrix <span class="keyword">import</span> get_column_of_matrix</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a3875d2d937905a938dae5f8a31e5ca4e">   28</a></span>&#160;    msg_posts = get_column_of_matrix(h.index(<span class="stringliteral">&quot;message&quot;</span>), top_posts)  <span class="comment"># list of post contents</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    msg_posts = [str(m).strip() <span class="keywordflow">for</span> m <span class="keywordflow">in</span> msg_posts]</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a3d4953c2a21449abb6cf9090f0733bb0">   30</a></span>&#160;    out_file = os.path.join(<span class="stringliteral">&quot;/home/stefano/Coding/Python/projects/spotted-unipd/data/text/&quot;</span>,</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                            str(p) + <span class="stringliteral">&quot;_percentile_posts.txt&quot;</span>)</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    with open(out_file, <span class="stringliteral">&quot;w&quot;</span>) <span class="keyword">as</span> o:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        o.writelines(msg_posts)</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="stringliteral">Compute top words for each file</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a7375413bebf096362f311f4fd3609de2">   38</a></span>&#160;INPUT_FOLDER = <span class="stringliteral">&quot;/home/stefano/Coding/Python/projects/spotted-unipd/data/text/&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a2d17997625d5f238482ce44579f36429">   39</a></span>&#160;PERCENTILES = [0, 25, 50, 60, 70, 80, 90, 95, 99]</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keywordflow">for</span> p <span class="keywordflow">in</span> PERCENTILES:</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a7bee8af2a2dd4c88a93df7430b30eedf">   41</a></span>&#160;    f = os.path.join(INPUT_FOLDER, str(p) + <span class="stringliteral">&quot;_percentile_posts.txt&quot;</span>)</div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1tmp.html#a7998798718d2329cc94a2b992600ff80">   42</a></span>&#160;    top_words = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">get_top_words_in_file</a>(f, WORDS_BLACKLIST_FIlE)</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    top_words = [<span class="stringliteral">&quot; &quot;</span>.join([w, str(q)]) + <span class="stringliteral">&quot;\n&quot;</span> <span class="keywordflow">for</span> w, q <span class="keywordflow">in</span> top_words]</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    out_file = os.path.join(INPUT_FOLDER, str(p) + <span class="stringliteral">&quot;_percentile_top_words.txt&quot;</span>)</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    with open(out_file, <span class="stringliteral">&quot;w&quot;</span>) <span class="keyword">as</span> o:</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        o.writelines(top_words)</div><div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_acca7efbea223e97a06e0d8f12b68ed5f"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">pyspottedunipd.text.cli.get_top_words_in_file</a></div><div class="ttdeci">def get_top_words_in_file(path_in, blacklist_file, n=30)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00122">cli.py:122</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="tmp_8py.html">tmp.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
